vaults/{vaultId}/links/{id}
Retrieves a link by its ID.
Resource Information
| Method and URI | GET /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/links/{id} |
| Authentication Context | User context required |
| Required OAuth Scopes | No scopes required |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
Request
URI Parameters
| vaultId string | The unique identifier of a Knowledge Vault. |
| id string | The unique identifier of a link. |
Response
HTTP Status Code Summary
| 200 OK | The link was successfully retrieved. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. |
Response
Body Structure (200)
| name string | The name of the link. |
| id string | The unique identifier of this link. |
| createDate datetime: ISO 8601 | The date and time when the link was created. |
| createUserName string | The user name of the user who created the link. |
| entityType string | The type of entity represented by this link. |
| url string | The relative URL to access this object. |
| toEntity object | Contains a generic entity representation with every field the API supports for mixed search results. |
| id string | The unique identifier of the entity. |
| name string | The name of the entity. |
| fullName string | The full Vault path of this entity when it is a folder. |
| number string | The entity number when this entity type supports numbering. |
| category string | The category assigned to this entity. |
| categoryColor number | The color of the category. |
| entityType string | The type of entity represented by this result. |
| version number | The version number when the entity is an iteration object. |
| createDate datetime: ISO 8601 | The date and time when this version of the entity was created in the Vault. |
| lastModifiedDate datetime: ISO 8601 | The date and time when this entity was last modified. |
| revision string | The revision label for this entity. |
| state string | The name of the lifecycle state for the entity. |
| stateColor number | The color of the state. |
| parentFolderId string | The unique identifier of the parent folder. |
| parent object | Contains standard folder metadata returned by Vault. |
| id string | The unique identifier of this folder. |
| url string | The relative URL to access this object. |
| name string | The descriptive name of this folder. This is the folder name without the full path. |
| fullName string | The full Vault path for this folder (for example, $/Folder1). |
| createDate datetime: ISO 8601 | The date and time when the folder was created. |
| createUserName string | The name of the user who created this folder. |
| category string | The category assigned to this folder. |
| categoryColor number | The color of the category. |
| state string | The name of the lifecycle state for this folder. |
| stateColor number | The color of the lifecycle state. |
| subfolderCount number | The number of immediate child folders. |
| children string | The URI to retrieve child folders. |
| isLibrary boolean | Indicates whether this folder is a library folder.
|
| isReadOnly boolean | Indicates whether this folder can be modified by the logged-in user.
|
| isCloaked boolean | Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.
|
| properties array: object | An array of property values for this folder. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
| isCheckedOut boolean | Indicates whether the latest version of this entity is checked out.
|
| createUserName string | The user name of the user who created this entity version. |
| checkinDate datetime: ISO 8601 | The date and time when this entity was checked in. |
| checkoutDate datetime: ISO 8601 | The date and time when this entity was checked out. |
| size number | The size of the entity content in bytes. |
| url string | The relative URL to access this object. |
| hasVisualizationAttachment boolean | Indicates whether a visualization attachment is available for this entity.
|
| checkoutUserName string | The user name of the user who currently has this entity checked out. |
| isLibrary boolean | Indicates whether this entity belongs to a library.
|
| isReadOnly boolean | Indicates whether this entity is read-only for the current user.
|
| isCloaked boolean | Indicates whether this entity is cloaked.
|
| file object | Contains the Vault file master identity and referenced file version. |
| id string | The unique identifier (master ID) of the file. |
| url string | The relative URL to access this object. |
| versionType enum:string | Specifies which file or item iteration to resolve. Possible values:
|
| fileVersion object | Contains standard file iteration metadata returned by Vault. |
| checkoutUser all of | The user who currently has this file version checked out. |
| User object | Contains core Vault account metadata returned for directory operations. |
| id string | A unique number that the Vault uses to reference the user. |
| name string | The login name of the user. |
| email string | The email address of the user. |
| authTypes all of | The authentication types available for this user. |
| AuthType Enum enum:string | Specifies which account directory backs the sign-in record. Possible values:
|
| systemName string | The internal system name of the user. |
| createDate datetime: ISO 8601 | The date that the user was created. |
| isActive boolean | Indicates whether this user is active.
|
| url all of | The relative URL to access this user. |
| 0 string | The relative URL to access this object. |
| lifecycleState all of | The lifecycle state of this file version. |
| Lifecycle State object | Contains a lifecycle state. |
| id string | The unique identifier of a server-based lifecycle state. |
| url all of | The relative URL to access this lifecycle state. |
| 0 string | The relative URL to access this object. |
| name string | The name of this lifecycle state. |
| displayName string | The display name of this lifecycle state. |
| description string | The description of this lifecycle state. |
| comments array: string | A list of predefined comments available for selection when changing entity states. |
| isDefault boolean | true: This state is the default state of the lifecycle definition.
|
| color int | The color code of this lifecycle state icon. |
| isReleasedState boolean | Indicates whether this state is a released state.
|
| isObsoleteState boolean | Indicates whether this state is an obsolete state.
|
| displayOrder int | The display order of this state among other states of the same lifecycle definition. |
| id string | The unique identifier (iteration ID) of the file version. |
| name string | The name of the file. This value applies to all versions of the file. |
| category string | The category assigned to this file. |
| categoryColor number | The color of the category. |
| classification enum:string | The Vault classification for the file master. Possible values:
|
| entityType string | The type of entity represented by this file version. |
| version number | The sequential version number of the file. A file that has just been added to the Vault has a version of 1. |
| createDate datetime: ISO 8601 | The date and time when this version of the file was created in the Vault. For the first version of a file, this matches the check-in date. For later versions, this is the time when the previous version was checked out. |
| lastModifiedDate datetime: ISO 8601 | The last modified date of the file. This value is set by the client that uploaded the file. |
| revision string | The revision label for this file. |
| state string | The name of the lifecycle state for this file version. |
| stateColor number | The color of the lifecycle state. |
| parentFolderId string | The unique identifier of the parent folder containing this file. |
| file object | The file master object for this file version. |
| parent object | Contains standard folder metadata returned by Vault. |
| id string | The unique identifier of this folder. |
| url string | The relative URL to access this object. |
| name string | The descriptive name of this folder. This is the folder name without the full path. |
| fullName string | The full Vault path for this folder (for example, $/Folder1). |
| createDate datetime: ISO 8601 | The date and time when the folder was created. |
| createUserName string | The name of the user who created this folder. |
| category string | The category assigned to this folder. |
| categoryColor number | The color of the category. |
| state string | The name of the lifecycle state for this folder. |
| stateColor number | The color of the lifecycle state. |
| subfolderCount number | The number of immediate child folders. |
| children string | The URI to retrieve child folders. |
| isLibrary boolean | Indicates whether this folder is a library folder.
|
| isReadOnly boolean | Indicates whether this folder can be modified by the logged-in user.
|
| isCloaked boolean | Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.
|
| properties array: object | An array of property values for this folder. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
| isCheckedOut boolean | Indicates whether the latest version of this file is in the checked-out state.
|
| createUserName string | The Name of the user who checked-in or uploaded this file. |
| checkinDate datetime: ISO 8601 | The date and time that the file was checked in. This property is only valid if isCheckedOut is false. |
| checkoutDate datetime: ISO 8601 | The date and time when the file was last checked out. |
| checkoutUserName string | The user name of the user who currently has the file checked out. |
| size number | The size, in bytes, of the file. This property is only valid if isCheckedOut is false. |
| url string | The relative URL to access this object. |
| hasVisualizationAttachment boolean | Indicates whether a valid visualization attachment status is available (value is not None).
|
| visualizationAttachmentStatus enum:string | The synchronization state of design visualization attachments. Possible values:
|
| isReadOnly boolean | Indicates whether this file is read-only for the current user.
|
| isCloaked boolean | Indicates whether this file is cloaked. A cloaked object is one that the caller does not have permissions to view.
|
| isOnSite boolean | Indicates whether the file is on the local site (in a multi-site environment). This value is always true in a single-site environment.
|
| properties array: object | An array of property values for this file version. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
| item object | Contains the item identity and referenced item iteration returned by list operations. |
| id string | The unique identifier (master ID) of the item. |
| url string | The relative URL to access this object. |
| versionType enum:string | Specifies which file or item iteration to resolve. Possible values:
|
| itemVersion object | Contains metadata for an item iteration, including numbering, lifecycle, and referenced item master. |
| id string | The unique identifier (iteration ID) of the item version. |
| url string | The relative URL to access this object. |
| number string | The Item number. |
| version number | The version number, which is a sequential number given to each version. For example, if this value is 5, then the object is the 5th version. |
| revision string | The display value for the revision. |
| comment string | The comment associated with this item version. |
| title string | The display title. |
| state string | The lifecycle state of this item version. |
| stateColor number | The color associated with the item’s lifecycle state. |
| name string | The display name of the item. |
| category string | The category assigned to this item. |
| categoryColor number | The color associated with the item’s category. |
| entityType string | The type of entity represented by this item version. |
| isReadOnly boolean | Indicates whether this item version is read-only for the current user.
|
| isCloaked boolean | Indicates whether this item version is cloaked for the logged-in user.
|
| isLatestObsolete boolean | Indicates whether the latest item version is obsolete.
|
| item object | The item master associated with this item version. |
| lifecycleState object | Contains a lifecycle state. |
| id string | The unique identifier of a server-based lifecycle state. |
| url string | The relative URL to access this object. |
| name string | The name of this lifecycle state. |
| displayName string | The display name of this lifecycle state. |
| description string | The description of this lifecycle state. |
| comments array: string | A list of predefined comments available for selection when changing entity states. |
| isDefault boolean | true: This state is the default state of the lifecycle definition.
|
| color int | The color code of this lifecycle state icon. |
| isReleasedState boolean | Indicates whether this state is a released state.
|
| isObsoleteState boolean | Indicates whether this state is an obsolete state.
|
| displayOrder int | The display order of this state among other states of the same lifecycle definition. |
| properties array: object | An array of property values for this item version. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
| subfolderCount number | The number of immediate subfolders. |
| children string | The URI to retrieve child entities. |
| properties array: object | An array of property values for this entity. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
| fromEntity object | Contains standard folder metadata returned by Vault. |
| id string | The unique identifier of this folder. |
| url string | The relative URL to access this object. |
| name string | The descriptive name of this folder. This is the folder name without the full path. |
| fullName string | The full Vault path for this folder (for example, $/Folder1). |
| createDate datetime: ISO 8601 | The date and time when the folder was created. |
| createUserName string | The name of the user who created this folder. |
| category string | The category assigned to this folder. |
| categoryColor number | The color of the category. |
| state string | The name of the lifecycle state for this folder. |
| stateColor number | The color of the lifecycle state. |
| subfolderCount number | The number of immediate child folders. |
| children string | The URI to retrieve child folders. |
| isLibrary boolean | Indicates whether this folder is a library folder.
|
| isReadOnly boolean | Indicates whether this folder can be modified by the logged-in user.
|
| isCloaked boolean | Indicates whether this folder is cloaked. A cloaked object is one that the caller does not have permissions to view.
|
| properties array: object | An array of property values for this folder. |
| propertyDefinitionId string | The unique identifier of the property definition that this value belongs to. |
| definition object | Contains server-side metadata for a Vault property definition, including datatype and naming. |
| id string | The unique identifier of the property definition. |
| url string | The relative URL to access this object. |
| displayName string | The display name of this property definition. |
| systemName string | The system name of this property definition. |
| dataType enum:string | The underlying data type stored for values of this property.
Possible values: String, Numeric, Bool, DateTime, Image |
| active boolean | Indicates whether this property definition is active.
|
| isSystem boolean | Indicates whether this property definition is a built-in system property.
|
| initialValue string | The default value applied to entities that do not have an existing value for this property definition. |
| value string | The property value associated with the entity for the referenced property definition. |
Example
This example illustrates how to get a link by ID.
Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:
- Vault Server IP address or hostname. Ex: http://10.41.110.49.
- Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.
Request
curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117/links/11045' \
-X 'GET' \
-H 'Accept: application/json'\
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
Response
{
"name": "b",
"id": "11045",
"fromEntity": {
"name": "a",
"id": "11041",
"fullName": "$/ROOT 20240321-171709 LinkPropertiesTests/a",
"category": "Folder",
"categoryColor": -1,
"stateColor": 0,
"subfolderCount": 2,
"isLibrary": false,
"isCloaked": false,
"isReadOnly": false,
"createDate": "2024-03-21T09:17:09.73Z",
"createUserName": "Administrator",
"properties": [
{
"propertyDefinitionId": "56",
"value": 0.0,
"definition": {
"id": "56",
"displayName": "Property Compliance",
"systemName": "Compliance",
"dataType": "Numeric",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/property-definitions/56"
}
},
{
"propertyDefinitionId": "63",
"value": "Folder",
"definition": {
"id": "63",
"displayName": "Category Name",
"systemName": "CategoryName",
"dataType": "String",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/property-definitions/63"
}
},
......
],
"entityType": "Folder",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/folders/11041"
},
"toEntity": {
"name": "b",
"id": "11042",
"parent": {
"name": "a",
"id": "11041",
"fullName": "$/ROOT 20240321-171709 LinkPropertiesTests/a",
"category": "Folder",
"categoryColor": -1,
"stateColor": 0,
"subfolderCount": 2,
"isLibrary": false,
"isCloaked": false,
"isReadOnly": false,
"createDate": "2024-03-21T09:17:09.73Z",
"createUserName": "Administrator",
"entityType": "Folder",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/folders/11041"
},
"parentFolderId": "11041",
"fullName": "$/ROOT 20240321-171709 LinkPropertiesTests/a/b",
"category": "Folder",
"categoryColor": -1,
"stateColor": 0,
"subfolderCount": 1,
"isLibrary": false,
"isCloaked": false,
"isReadOnly": false,
"createDate": "2024-03-21T09:17:09.76Z",
"createUserName": "Administrator",
"properties": [
{
"propertyDefinitionId": "56",
"value": 0.0,
"definition": {
"id": "56",
"displayName": "Property Compliance",
"systemName": "Compliance",
"dataType": "Numeric",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/property-definitions/56"
}
},
{
"propertyDefinitionId": "63",
"value": "Folder",
"definition": {
"id": "63",
"displayName": "Category Name",
"systemName": "CategoryName",
"dataType": "String",
"isSystem": true,
"active": true,
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/property-definitions/63"
}
},
......
],
"entityType": "Folder",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/folders/11042"
},
"createDate": "2024-03-21T09:17:09.76Z",
"createUserName": "Administrator",
"entityType": "Link",
"url": "/AutodeskDM/Services/api/vault/v2/vaults/1/links/11045"
}